Which Mac apps won't work with the new macOS Catalina?

MacOS Catalina

It's not long now before Mac releases the next version of macOS, known as Catalina. When it does get released a umber of older apps will stop working and there may be issues with the drivers for verious peripherals including printers, mice and keyboards. This blog is aimed to advise you on which Mac software apps are and aren't going to be compatible with Catalina. Some of the apps mentioned didn't work with Mojave either, but with this 2019 macOS update there has been more apps than ever out in the cold. 

Just to clarify if your Mac pre-dates 2012 you won't be able to update to Catalina anyway, but if your Mac is that old you may be thinking it's time to upgrade anyway which is a good choice. You'll get access to the latest updates and indefinitely it will last for years to come. See it more as an investment. In getting a new Mac means it'll likely come with the macOS Catalina installed. 

The unsupported apps include software from developers including Adobe, Microsoft and even Apple itself. While the unsupported apps are usually old versions of apps that haven't been updated in recent years, there are still a lot of people running them because they didn't wish to upgrade to the subscription model favored by many software developers. Some will see this as quite an inconvenience however, it's always recommended to go with the latest version of applications so they're more secure and reliable. Also they'll be compatible with the latest technologies that we have to date.

When updating to Mojave in 2018 users experienced issues running Photoshop CS5. Luckily, this issue was able to be fixed in Mojave, but this fix isn't going to be available for Catalina. While it was possible to get some problematic apps to work in Mojave, although they might have been buggy, many apps will be disabled when you upgrade to the new macOS Catalina. This will in fact apply to any app that contains 32-bit code. You may also find that you can't run some drivers that use kernel extensions, due to changes coming in Catalina. 

This is why we recommend that before updating, you check that all your apps will run in the new macOS.

Why aren't 32-bit apps supported in Catalina?

Essentially, Apple believes these legacy apps won't offer a good user experience because they slow down your Mac. The company explains that 64-bit apps can access more memory and therefore you can expect faster system performance. In 2017 Apple ended support for 32-bit apps in iOS 11, so it's not something uncommon of Apple to do.

For more information Apple have a dedicated page where they explain why they're halting support for 32-bit apps on the Mac. Here.

How to check if apps will work in Catalina

Like previously mentioned, macOS Catalina will not run 32-bit apps at all, so the first thing you'll want to check is whether any of the apps you're currently using on your Mac are 32-bit and make plans to stop relying on them. Here's how to identify 32-bit apps:

  1. Click on the Apple logo in the top-left corner of your Mac screen.
  2. Choose About This Mac.
  3. Click on System Report.
  4. Now click on Software > Applications.
  5. You should now see a list of applications that you currently have installed. In the last column you'll be able to see whether it is a 64bit or 32bit application. Note down which ones aren't 64bit.

What to do if your app doesn't work in Catalina

If an app that you rely on isn't support by Catalina you've a few options.

Which Mac apps won't run in Catalina

Here are some of the most notable apps that won't be able to run in Catalina and will need to be updated.

Even if an app you use is 64-bit like some of the ones mentioned above doesn't mean you won't experience problems with it. Ultimately, it's best to make sure you upgrade these to the latest versions. 

Apple aps that won't work in Catalina

It's not only third-party developers whose apps are stuck in 32-bit. Even Apple has a collection of older apps that wil be compromised - so if you are still using them it might be time to update to a newer version, or to switch to something else. There may also be problems with incompatible media in Apple Movie, Final Cut Pro and Motion. The reason behind this is because older formats or codecs may have been used to produce those media files. 

Aperture

If you have Aperture 3 (which was released in 2010) it is 64-bit, so you might be thinking it will still run without issues. However, Apple ended development and support for Aperture back in 2014 and the company's support page indicates that "For technical reasons, Aperture will not run in future versions of macOS after macOS Mojave" and recommends that you update to Photos or Adobe Lightroom.

iWork '09: Pages, Keynote & Numbers

If you are still using older versions of Apple's iWork apps - that's Pages, Keynote and Numbers - you may need to upgrade. All of the iWork '09 applications (from 2009) are 32-bit. This could be an issue to those Mac users who prefer these legacy apps to the modern versions. The first 64-bit iWork applications arrived with iWork 2013. If you have iWork 09 and want to update to the newer versions of Pages, Numbers and Keynote, you'll be pleased to learn that they are free on the Mac App Store.

Final Cut Pro & Logic Studio

Apple used to bundle a number of apps with Final Cut Studio and Logic Studio.

Both of these apps were discontinued and replaced by Final Cut Pro X and Logic Pro X back in 2011. If you are still running them note that accompanying apps: DVD Studio Pro, Soundtrack Pro, Colour and Cinema Tools will not run (nor did they work in High Sierra or Mojave).

Microsoft applications that won't work in macOS Catalina

If you are still running the Microsoft Office for Mac 2011 apps (that's Word, Excel, PowerPoint, and Outlook 2011) you might want to upgrade.

The 2011 versions are all 32-bit apps and Microsoft dropped support for the 2011 suite back in October 2017.

The Office 2016 apps weren't 64-bit when they launched, but they did received 64-bit update in version 15.25 which arrived in August 2016. If you had Office 2016 and an Office 365 subscription you would have received the update. If you didn't receive the update you may be able to download it here.

If you are still using the 2011 version of Office, perhaps it's time to upgrade to the latest version of Microsoft Office. Otherwise you'll have to find an alternative.

Adobe Applications that won't work in macOS Catalina

Adobe started the transition to 64-bit apps back in 2008, but some Mac users are still running old versions that won't be supported in Catalina. The main reason for not upgrading is likely Adobe's move from allowing users to purchase a stand-alone app, or a suite of apps, with a one off payment, to the subscription model that it introduced with Creative Cloud back in 2011. Even some apps that are 64-bit can be affected by shared components. For example, your app's installer, registration identifier, or launcher might not be 64-bit. The good news is that Adobe is working on updating and utilizing these associated components on "current, and future, macOS releases".

Adobe published a blog listing all the known issues with its products in Mojave and it's likely to do the same for Catalina once that OS launches. You can read that here.

Photoshop

As said above, we encountered issues with Photoshop CS5 as soon as we installed Mojave. That's not the only version of Photoshop that had issues in Mojave though. There were compatibility issues with Photoshop 2018 and earlier versions. Adobe recommended that customers update to Photoshop CC 2019. The company also warned that older versions of Photoshop that pre-date Creative Cloud hadn't been tested for Mojave compatibility so it's unlikely that they will be tested for Catalina compatibility.

Illustrator

Illustrator CS5 is 32-bit so it definitely won't work in Catalina. The CS6 version of Illustrator in 2012 added 64-bit support, so if you are using a Illustrator CS6 or newer, you should be ok. However, as with Photoshop, even newer versions of Illustrator had problems in Mojave and there may be issues in Catalina too.

InDesign

InDesign CS5 (still lucking on our Mac from the days of print) is another 32-bit app that is set to stop working in Catalina. InDesign wasn't updated to 64-bit until CC arrived, so even the CS6 version will not work in Catalina. Even the current version of InDesign wasn't without issue in Mojave: it suffered from Dark Mode issues and cursor-related bugs.

Acrobat Pro

Acrobat Pro 9.5.5 is another 32-bit app that won't work in Catalina. Even Acrobat DC and Acrobat Reader DC had known compatibility issues in High Sierra "due to some 32-bit components that Adobe is working to address in the future", the company says on a webpage regarding the issues. These newer versions of Acrobat had problems with printing and creating and converting PDFs in Mojave. These issues will hopefully be addressed prior to the release of Catalina.

Lightroom

Lightroom has been 64-bit since Lightroom 2 arrived in 2008 so it's likely that your version of the software will work in Catalina. However, even in Mojave there was a known issue with Lightroom crashing when switching to Dark Mode while the application was running. Hopefully there won't be a reoccurrence of this in Catalina.

Premiere Pro

Premiere Pro moved to 64-bit back in 2008. That was Premiere Pro CS4, so chances are you are using a newer version than that. However, there were some Mojave-related compatibility issues with newer versions of Premiere Pro and other Adobe video apps, including issues accessing the microphone and camera and problems with the eye dropper not functioning correctly. There were also problems with Dark Mode that will hopefully have been ironed out in time for Catalina.

After Effects

After Effects has been 64-bit since the CS5 version that arrived in 2010. The problems listed for Premiere Pro may apply here too.

What can I do to mak sure my apps continue to work?

Hopefully throughout this blog you have picked up on how to prepare yourself for an upgrade to macOS Catalina. But just to summarize:

Looking to upgrade?

If you're interested in upgrading to the latest version of Catalina, then you'll be happy to know we provide this upgrade. Contact us on the below information to discuss upgrading your current machine.

Email – info@directcomputers.co.uk

Phone – 0114 296 003